Skip to main content
GET
/
api
/
v1
/
models
List supported models
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/models \
  --header 'Authorization: Bearer <token>'
{
  "models": [
    {
      "context_window": 123,
      "id": "<string>",
      "name": "<string>",
      "provider": "<string>",
      "supports_reasoning": true,
      "description": "<string>",
      "details": {
        "cyber_security": 123,
        "reasoning": 123,
        "specialty": "<string>",
        "speed": 123
      },
      "is_premium": true,
      "logo": "<string>",
      "max_output_tokens": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Response

List of supported models

models
object[]
required

List of supported models